<mamecheat version="1">

  <cheat desc="Always have Max Beam">
    <script state="run">
      <action>maincpu.pb@4003A=01</action>
      <action>maincpu.pb@4003D=80</action>
    </script>
  </cheat>

  <cheat desc="Invincibility"> <comment>See the Dip Switch Menu to enable an alternate Invincibility cheat.</comment>
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x02">Disabled</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.mb@025F7</action>
    </script>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@42FC6=01</action>
      <action condition="(param==01)">maincpu.mb@025F7=EB</action> <!-- ROM Code for Flicker -->
      <action condition="(param==02)">maincpu.pb@42FC6=00</action>
      <action condition="(param==02)">maincpu.mb@025F7=74</action> <!-- ROM Code for Flicker -->
    </script>
    <script state="off">
      <action>maincpu.mb@025F7=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Maximum Speed">
    <script state="run">
      <action>maincpu.pb@40036=04</action>
    </script>
  </cheat>

  <cheat desc="Maximum Power - Pods">
    <script state="run">
      <action>maincpu.pb@40033=04</action>
    </script>
  </cheat>

  <cheat desc="Maximum Power - Missiles">
    <script state="run">
      <action>maincpu.pb@40035=04</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon">
    <parameter>
      <item value="0x01">Orb Shot</item>
      <item value="0x02">Orb Shot + Laser</item>
      <item value="0x03">S. Orb Shot + ZigZag</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@4003E=param</action>
    </script>
  </cheat>

  <cheat desc="Select Extra Fire">
    <parameter>
      <item value="0x00">Blue</item>
      <item value="0x02">Yellow</item>
      <item value="0x06">Red</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@4003C=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>You will not be able to shoot the BEAM with this cheat ON. Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pw@42F21=0000|(maincpu.pw@42F21 BAND ~8080)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@42F32=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@42F3A=0A</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
